TraceSignatureVisitor (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.util

## Class TraceSignatureVisitor

- java.lang.Object
- - org.objectweb.asm.signature.SignatureVisitor
  - - org.objectweb.asm.util.TraceSignatureVisitor

-     public final class TraceSignatureVisitor
      extends SignatureVisitor

  A `SignatureVisitor` that prints a disassembled view of the signature it visits.
  Author:
    Eugene Kuleshov, Eric Bruneton

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.signature.SignatureVisitor

      `api, EXTENDS, INSTANCEOF, SUPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceSignatureVisitor(int access)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeclaration()`
    `String` | `getExceptions()`
    `String` | `getReturnType()`
    `SignatureVisitor` | `visitArrayType()` Visits a signature corresponding to an array type.
    `void` | `visitBaseType(char descriptor)` Visits a signature corresponding to a primitive type.
    `SignatureVisitor` | `visitClassBound()` Visits the class bound of the last visited formal type parameter.
    `void` | `visitClassType(String name)` Starts the visit of a signature corresponding to a class or interface type.
    `void` | `visitEnd()` Ends the visit of a signature corresponding to a class or interface type.
    `SignatureVisitor` | `visitExceptionType()` Visits the type of a method exception.
    `void` | `visitFormalTypeParameter(String name)` Visits a formal type parameter.
    `void` | `visitInnerClassType(String name)` Visits an inner class.
    `SignatureVisitor` | `visitInterface()` Visits the type of an interface implemented by the class.
    `SignatureVisitor` | `visitInterfaceBound()` Visits an interface bound of the last visited formal type parameter.
    `SignatureVisitor` | `visitParameterType()` Visits the type of a method parameter.
    `SignatureVisitor` | `visitReturnType()` Visits the return type of the method.
    `SignatureVisitor` | `visitSuperclass()` Visits the type of the super class.
    `void` | `visitTypeArgument()` Visits an unbounded type argument of the last visited class or inner class type.
    `SignatureVisitor` | `visitTypeArgument(char tag)` Visits a type argument of the last visited class or inner class type.
    `void` | `visitTypeVariable(String name)` Visits a signature corresponding to a type variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceSignatureVisitor

          public TraceSignatureVisitor(int access)

  - ### Method Detail

    - #### visitFormalTypeParameter

          public void visitFormalTypeParameter(String name)

      Description copied from class: `SignatureVisitor`
      Visits a formal type parameter.
      Overrides:
        `visitFormalTypeParameter` in class `SignatureVisitor`
      Parameters:
        `name` - the name of the formal parameter.

    - #### visitClassBound

          public SignatureVisitor visitClassBound()

      Description copied from class: `SignatureVisitor`
      Visits the class bound of the last visited formal type parameter.
      Overrides:
        `visitClassBound` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the class bound.

    - #### visitInterfaceBound

          public SignatureVisitor visitInterfaceBound()

      Description copied from class: `SignatureVisitor`
      Visits an interface bound of the last visited formal type parameter.
      Overrides:
        `visitInterfaceBound` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the interface bound.

    - #### visitSuperclass

          public SignatureVisitor visitSuperclass()

      Description copied from class: `SignatureVisitor`
      Visits the type of the super class.
      Overrides:
        `visitSuperclass` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the super class type.

    - #### visitInterface

          public SignatureVisitor visitInterface()

      Description copied from class: `SignatureVisitor`
      Visits the type of an interface implemented by the class.
      Overrides:
        `visitInterface` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the interface type.

    - #### visitParameterType

          public SignatureVisitor visitParameterType()

      Description copied from class: `SignatureVisitor`
      Visits the type of a method parameter.
      Overrides:
        `visitParameterType` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the parameter type.

    - #### visitReturnType

          public SignatureVisitor visitReturnType()

      Description copied from class: `SignatureVisitor`
      Visits the return type of the method.
      Overrides:
        `visitReturnType` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the return type.

    - #### visitExceptionType

          public SignatureVisitor visitExceptionType()

      Description copied from class: `SignatureVisitor`
      Visits the type of a method exception.
      Overrides:
        `visitExceptionType` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the exception type.

    - #### visitBaseType

          public void visitBaseType(char descriptor)

      Description copied from class: `SignatureVisitor`
      Visits a signature corresponding to a primitive type.
      Overrides:
        `visitBaseType` in class `SignatureVisitor`
      Parameters:
        `descriptor` - the descriptor of the primitive type, or 'V' for `void` .

    - #### visitTypeVariable

          public void visitTypeVariable(String name)

      Description copied from class: `SignatureVisitor`
      Visits a signature corresponding to a type variable.
      Overrides:
        `visitTypeVariable` in class `SignatureVisitor`
      Parameters:
        `name` - the name of the type variable.

    - #### visitArrayType

          public SignatureVisitor visitArrayType()

      Description copied from class: `SignatureVisitor`
      Visits a signature corresponding to an array type.
      Overrides:
        `visitArrayType` in class `SignatureVisitor`
      Returns:
        a non null visitor to visit the signature of the array element type.

    - #### visitClassType

          public void visitClassType(String name)

      Description copied from class: `SignatureVisitor`
      Starts the visit of a signature corresponding to a class or interface type.
      Overrides:
        `visitClassType` in class `SignatureVisitor`
      Parameters:
        `name` - the internal name of the class or interface.

    - #### visitInnerClassType

          public void visitInnerClassType(String name)

      Description copied from class: `SignatureVisitor`
      Visits an inner class.
      Overrides:
        `visitInnerClassType` in class `SignatureVisitor`
      Parameters:
        `name` - the local name of the inner class in its enclosing class.

    - #### visitTypeArgument

          public void visitTypeArgument()

      Description copied from class: `SignatureVisitor`
      Visits an unbounded type argument of the last visited class or inner class type.
      Overrides:
        `visitTypeArgument` in class `SignatureVisitor`

    - #### visitTypeArgument

          public SignatureVisitor visitTypeArgument(char tag)

      Description copied from class: `SignatureVisitor`
      Visits a type argument of the last visited class or inner class type.
      Overrides:
        `visitTypeArgument` in class `SignatureVisitor`
      Parameters:
        `tag` - '+', '-' or '='.
      Returns:
        a non null visitor to visit the signature of the type argument.

    - #### visitEnd

          public void visitEnd()

      Description copied from class: `SignatureVisitor`
      Ends the visit of a signature corresponding to a class or interface type.
      Overrides:
        `visitEnd` in class `SignatureVisitor`

    - #### getDeclaration

          public String getDeclaration()

    - #### getReturnType

          public String getReturnType()

    - #### getExceptions

          public String getExceptions()